R10K(1)

NAME
r10k - Puppet environment and module deployment

SYNOPSIS
10k COMMAND options

DESCRIPTION
r10k is a suite of commands to help deploy and manage puppet code for complex environments.

OPTIONS

○   -c --config Specify a configuration file

○   -h --help Show help for this command

○   -t --trace Display stack traces on application crash

○   -v --verbose Set verbosity level

COMMANDS

[r10k deploy(1)[r10k-deploy]
    Puppet dynamic environment deployment

[r10k puppetfile(1)][r10k-puppetfile]
    Perform operations on a Puppetfile

r10k version(1)
    Print the version of r10k

OBSOLETE
These commands are obsolete and should no longer be used

r10k environment
    Operate on a specific environment

r10k module
    Operate on a specific puppet module

r10k synchronize
    Fully synchronize all environments